html {
    overflow-x: hidden;
}

body {
    overflow-x: hidden;
}

* {
    padding: 0;
    margin: 0;
}

img {
    -webkit-user-drag: none; /*Chrome and Safari*/
    -moz-user-drag: none;    /*Firefox*/
    -ms-user-drag: none;     /*Internet Explorer/Edge*/
}

::selection {
  background-color: #6EC060;
  color: #FFFFFF;
}

::-moz-selection {
  background-color: #6EC060;
  color: #FFFFFF;
}

h1, h2, h3, h4, h5, h6 {
    font-family: "Bebas Neue", sans-serif;
    color: #3D99DC;
}

p {
    font-family: "Inter", sans-serif;
}

ul, ol {
    margin-left: 1.5em;
}

li {
    font-family: "Inter", sans-serif;
}

a {
    color: #64BB55;
}

a:visited {
    color: #64BB55;
}

.black-link {
    color: #000000;
}

.white-link:visited {
    color: #000000;
}

.content {
    width: 90%;
    margin-right: auto;
    margin-left: auto;
    display: block;
    margin-top: 7em;
    padding: 2em;
}

.content-no-margin {
    margin-top: 0em;
}

.max-width-container {
    max-width: 1500px;
    margin-right: auto;
    margin-left: auto;
    display: block;
}

.max-width-text {
    width: 80%;
    max-width: 1500px;
    margin-right: auto;
    margin-left: auto;
    display: block;
}

@media screen and (max-width: 1000px) {
    .content {
        padding: 0em;
        padding: 1em;
        width: 85%;
    }

    .max-width-text {
        width: 100%;
    }
}

.navbar {
    background-color: #3D99DC;
    margin: 0em;
    position: fixed;
    overflow: hidden;
    top: 0;
    width: 100%;
    height: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1;
    margin-bottom: 7em;
}

.navbar a {
    font-family: "Bebas Neue", sans-serif;
    font-size: 1.7em;
    text-decoration: none;
    color: #FFFFFF;
}

.navbar-links a {
    padding:  0.5em;
    margin: 0.5em;
}

.navbar-logo {
    margin: 0em;
    background-color: #FFFFFF;
    height: 100%;
    width: auto;
    padding: 1em 0.25em;
}

.navbar-logo img {
    height: 2em;
    width: auto;
    float: left;
    margin-left: 0.5em;
}

.navbar-gradient {
    width: 15%;
    height: 100%;
    padding: 0.5em 0em;
    height: 5.8em;
    margin: 0em;
    background-image: linear-gradient(to right, #FFFFFF, #3D99DC);
    margin-right: auto;
}

.navbar-links {
    float: right;
    width: auto;
    height: 100%;
    margin-right: 1em;
}

.navbar-links a {
    margin-left: auto;
    margin-right: 0em;
}

.navbar .icon {
    display: none; 
    background-color: #3D99DC;
    color: #FFFFFF;
    padding: 0.5em;
    padding-bottom: 0.7em;
}

@media screen and (max-width: 1225px) {
    .navbar {
        display: block;
        margin-bottom: -7em;
        width: 100%;
    }

    .navbar-gradient {
        display: none;
    }

    .navbar-logo {
        display: none;
    }

    .navbar-links {
        float: none;
        padding: 0.5em;
        width: 100%;
    }

    .navbar-links a {
        margin-left: 0.5em;
    }

    .navbar a:not(:first-child) {
        display: none;
    }

    .navbar a.icon {
        float: right;
        display: block;
        right: 0;
        top: 0;
        margin-right: 1.1em;
    }

    .navbar.responsive {
        position: fixed;
    }

    .navbar.responsive .icon {
        position: absolute;
        right: -0.3em;
        top: 0.29em;
    }

    .navbar.responsive a {
        float: none;
        display: block;
        text-align: left;
        padding-left: -2em;
    }

    .navbar.responsive a:not(:last-child) {
        margin-right: 1.25em;
    }

    .navbar.responsive .navbar-logo {
        display: none;
    }

    .navbar.responsive .navbar a:not(:first-child) {
        display: none;
    }
}

.hover-underline {
    display: inline-block;
    position: relative;
}
  
.hover-underline::after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 0.15em;
    bottom: 0;
    left: 0;
    background-color: #FFFFFF;
    transform-origin: bottom center;
    transition: transform 0.25s ease-out;
}
  
.hover-underline:hover:after {
    transform: scaleX(1);
    transform-origin: bottom center;
}

iframe {
    border: .2em solid #64BB55;
}

@media screen and (max-width: 1000px) { 
    iframe {
        width: 100%;
        border: none;
    }

    .wiki {
        width: 100%;
        padding: 0em;
        padding-top: 2em;
        margin-bottom: -0.75em;
    }

    .wiki-link {
        padding-top: 0em;
        padding-bottom: 2em;
    }
}

.header {
    margin-top: 5em;
    position: relative;
    text-align: center;
    color: #FFFFFF;
    width: 100%;
    height: 45em;
    overflow: hidden;
    margin-bottom: -5em;
}

.header video {
    opacity: 0.5;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}

.overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
}

.overlay h1 {
    color: #000000;
    font-family: "Bebas Neue", sans-serif;
    font-size: 10em;
    line-height: 100%;
}

.overlay p {
    color: #000000;
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 1.5em;
    margin-top: -1em;
}

.overlay-link {
    display: flex;
    justify-content: center;
    margin: 0 auto;
}

.overlay-link a {
    font-size: 1.7em;
    text-decoration: none;
    text-align: right;
}

.overlay-link button {
    margin: 0.5em 0.75em;
    background-color: #64BB55;
    font-family: "Bebas Neue", sans-serif;
    color: #000000;
    font-size: 1.7em;
    border: none;
    padding: 0.5em;
    overflow: auto;
}

.overlay-link button:hover {
    opacity: 0.75;
    cursor: pointer;
}

.overlay-link button:active {
    scale: 0.95;
}

@media screen and (max-width: 1000px) {
    .overlay h1 {
        font-size: 7em;
    }   

    .overlay p {
        font-size: 1.25em;
    }

    .overlay {
        width: 90%;
    }
}

.wiki-link {
    display: flex;
    justify-content: center;
    margin: 0 auto;
    margin-top: -15em;
}

.wiki-link a {
    margin-top: 10em;
    font-size: 1.7em;
    text-decoration: none;
    text-align: right;
}

.wiki-link button {
    margin: 0.5em 0.75em;
    background-color: #64BB55;
    font-family: "Bebas Neue", sans-serif;
    color: #000000;
    font-size: 1em;
    border: none;
    padding: 0.5em;
    overflow: auto;
}

.wiki-link button:hover {
    opacity: 0.75;
    cursor: pointer;
}

.wiki-link button:active {
    scale: 0.95;
}

.centered {
    margin-right: auto;
    margin-left: auto;
    display: block;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.side-by-side {
    height: auto;
    width: 80%;
    display: inline-flex;
    justify-content: flex-between;
    align-items: center;
    margin-right: auto;
    margin-left: auto;
}

.side-by-side img {
    height: auto;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    display: block;
}

.side-by-side-element-image {
    width: 35%;
    height: auto;
    align-items: center;
    margin-right: auto;
    margin-left: auto;
}

.side-by-side-element-text {
    width: 65%;
    height: auto;
    align-items: center;
    margin-right: auto;
    margin-left: auto;
    text-align: left;
}

.left-image, .left-text {
    padding: 0em;
    padding-right: 4em;
}

.right-text, .right-text {
    padding: 0em;
    padding-left: 4em;
}

.side-by-side-element-text h1 {
    color: #3D99DC;
}

.side-by-side-element-text p {
    color: #000000;
}

.reverse-color-section {
    background-color: #64BB55;
    margin: 1.25em 0em;
    padding: 10px;
}

.reverse-color-section p {
    color: #000000;
}

.reverse-color-section h1 {
    color: #000000;
}

.reverse-color-section-text {
    color: #FFFFFF;
    padding: 1.25em;
    width: 60%;
    margin-right: auto;
    margin-left: auto;
    display: block;
}

@media screen and (max-width: 1000px) {
    .reverse-color-section {
        margin: 0em;
        padding: 0em;
    }

    .reverse-color-section-text {
        width: 85%;
        min-width: 85%;
        padding: 0em;
        margin: 0em;
    }
}

.reverse-color-section-link {
    float: right;
    margin: 0px;
}

.reverse-color-section-link button {
    margin: 0.5em 0.75em;
    background-color: #000000;
    font-family: "Bebas Neue", sans-serif;
    color: #FFFFFF;
    font-size: 1.15em;
    border: none;
    padding: 0.5em;
    overflow: auto;
}

.reverse-color-section-link a {
    text-decoration: none;
}

.reverse-color-section-link button:hover {
    opacity: 0.75;
    cursor: pointer;
}

.reverse-color-section-link button:active {
    scale: 0.95;
}

@media screen and (max-width: 1000px) {
    .side-by-side {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        width: 100%;
        margin: 0em;
        padding: 0em;
    }

    .side-by-side-element-text, .side-by-side-element-image {
        padding: 0em;
        margin: 0em;
        width: 90%;
    }
  
    .side-by-side-element img {
        display: block;
        margin-right: auto;
        margin-left: auto;
        width: 100%;
    }

    .right-text, .right-text, .left-image, .left-text {
        padding: 0em;
        width: 100%;
    }

    .reverse-color-section-text {
        width: 90%;
    }
}

@media screen and (max-width: 1000px) {
    .reverse-color-section {
        margin: 1.25em 0em;
        padding: 1.25em 0em;
    }

    .reverse-color-section-text {
        width: 80%;
        margin: 1.25em;
        margin-right: auto;
        margin-left: auto;
        display: block;
    }
}

.footer {
    width: 100%;
    margin: 0px;
    padding: 1.25em 0em;
    text-align: center;
    bottom: 0;
    margin-top: 1em;
    background-color: #3D99DC;
}

.footer p {
    color: #FFFFFF;
    font-family: "Inter", sans-serif;
    font-weight: 500;
    padding-right: 1.25em;
    padding-left: 1.25em;
}

.footer i {
    font-size: 2.5em;
    color: #FFFFFF;
    margin: 0em 0.4em;
}

.footer i:hover {
    color: #000000;
}

@media screen and (max-width: 600px) {
  .footer-text {
    font-size: .8em;
  }
}

@media screen and (max-width: 400px) {
  .footer-text {
    font-size: .4em;
  }
}

.side-by-side-scroll {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: space-between;
  padding: 0px;
  align-items: center;
}

.side-by-side-scroll-element {
  width: 50%;
  height: auto;
  align-items: center;
  margin-right: auto;
  margin-left: auto;
}

.scroll-div {
    background-color: #64BB55;
    max-height: 33em;
    overflow-y: auto;
}

.scroll-div-right {
    margin-left: 5em;
}

.scroll-div-left {
    margin-right: 5em;
}

.scroll-div img {
    width: 50%;
    height: auto;
    margin-right: auto;
    margin-left: auto;
    display: block;
}

.scroll-div p {
    text-align: center;
    font-weight: 500;
    color: #FFFFFF;
}

@media screen and (max-width: 850px) {
  .side-by-side-scroll {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
  }

  .side-by-side-scroll-element {
    width: 100%;
  }

  .scroll-div-right, .scroll-div-left {
    margin: 0em;
    max-height: none;
  }
}

.gallery-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row; 
    flex-wrap: wrap;
    position: relative;
    overflow: hidden;
}

.gallery-image-wrapper {
    margin: 1.25em 0.625em;
    position: relative;
    width: 18.75em;
    display: inline-block;
}

.gallery-image {
    display: block;
    width: 100%;
    height: auto;
}

.gallery-image-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    opacity: 0;
    transition: opacity 0.3s ease;
    display: flex;
    justify-content: center;
    align-items: center;
}

.gallery-image-overlay p {
    color: #FFFFFF;
    padding: 0.625em;
    text-align: center;
}

.gallery-image-wrapper:hover .gallery-image-overlay {
    opacity: 1;
}

@media screen and (max-width: 900px) {
  .gallery-image-wrapper {
    width: 15em;
    height: auto;
  }
}

.home-page-gallery-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row; 
    flex-wrap: wrap;
}

.home-page-gallery-image {
    margin: 1.25em 0.625em;
    height: 12.5em;
    width: auto;
}

@media screen and (max-width: 900px) {
  .home-page-gallery-image {
    margin: 1.25em 0.625em;
    height: 9.375em;
    width: auto;
  }
}

.link-box {
    text-align: center;
    margin-top: 1em;
    margin-bottom: 1em;
    align-items: center;
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    display: block;
}

.link-box button {
    margin: 0.5em 0.75em;
    background-color: #64BB55;
    font-family: "Bebas Neue", sans-serif;
    color: #000000;
    font-size: 1.15em;
    border: none;
    padding: 0.5em;
    overflow: auto;
}

.link-box a {
    text-decoration: none;
}

@media screen and (max-width: 1200px) {
    .link-box {
        width: 100%;
    }
}

@media screen and (max-width: 800px) {
    .link-box button {
        margin: 1em;
        width: 90%;
        margin-right: auto;
        margin-left: auto;
        display: block;
    }
}

.link-box button:hover {
    opacity: 0.75;
    cursor: pointer;
}

.link-box button:active {
    scale: 0.95;
}

.video-gallery-container {
    display: flex;
}

@media screen and (max-width: 900px) {
    .video-gallery-container {
        display: block;
    }

    .youtube-video-container {
        max-width: 25em;
        max-width: 90%;
    }
}

.youtube-video-container {
    width: 100%;
    margin: 0 auto;
    padding: 1em;
}

.youtube-video-container iframe {
    width: 100%;
    height: auto;
    height: auto;
    aspect-ratio: 16 / 9;
    border: none;
}

.docking-video {
    width: 30em;
    max-width: 90%;
    height: auto;
}

.docking-video-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row; 
    flex-wrap: wrap;
}